LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XConfigurationControllerRequestQueue Interface Reference

The request queue of the configuration controller handles requests for changes to the current configuration. More...

`import"XConfigurationControllerRequestQueue.idl";`

Inheritance diagram for XConfigurationControllerRequestQueue:

## Public Member Functions
boolean | hasPendingRequests ()
| Return whether there are pending requests for configuration changes. More...
void | postChangeRequest ([in] XConfigurationChangeRequest xRequest)
| Add a request for a configuration change to the request queue. More...

## Detailed Description

The request queue of the configuration controller handles requests for changes to the current configuration.

This interface allows callers to add requests to the back of the queue and to determine whether the queue is empty. Using this interface should normally not be necessary for anyone else than the XConfigurationController. It may be removed in the future.

## Member Function Documentation

## ◆ hasPendingRequests()

boolean hasPendingRequests | ( |  | ) |

Return whether there are pending requests for configuration changes.

Returns
  Returns `TRUE` when there is at least one request object in the queue that has not yet been processed. It returns `FALSE` when the queue is empty.

## ◆ postChangeRequest()

void postChangeRequest | ( | [in] XConfigurationChangeRequest | xRequest | ) |

Add a request for a configuration change to the request queue.

This method should not be called from outside the drawing framework. Other sub controllers of the drawing framework are typical callers. They can add change requests that can not be made with the requestResourceActivation() and requestResourceDeactivation() methods.

Parameters

  xRequest | The configuration change represented by this request object must only be committed to the configuration when the com::sun::star::drawing::framework::XConfigurationChangeRequest::execute() method of the xRequest object is called.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XConfigurationControllerRequestQueue.idl